/*  $Id$

    This file is part of the

    GRALE: a grammar visualization tool

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2006 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @author Martin Lazarov */

#ifndef LRS_MAIN_WINDOW_H
#define LRS_MAIN_WINDOW_H

#include <string>

#include <qglobal.h>
#include <qmainwindow.h>
#include <qscrollarea.h>

namespace LRS {

class MainWindow : public QMainWindow {
  Q_OBJECT
  std::string _lrsExpr;
  
public:
  MainWindow(const std::string& lrsExpr, const std::string& configFileName, QWidget* parent = 0);  
  
public slots:
  void slotSave();
  void slotSaveAsXml();
};

class ScrollWidget : public QScrollArea
{
public:
  ScrollWidget(const std::string& lrsExpr, const std::string& configFileName, QWidget* parent = 0);
};

}

#endif // !LRS_MAIN_WINDOW_H
